io.vertx.rxjava3.ext.web.handler

## Class JWTAuthHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.JWTAuthHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, AuthenticationHandler

      public class JWTAuthHandler
      extends Object
      implements AuthenticationHandler, Handler<RoutingContext>

  An auth handler that provides JWT Authentication support.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<JWTAuthHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWTAuthHandler(JWTAuthHandler delegate)`
    `JWTAuthHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JWTAuthHandler` | `create(JWTAuth authProvider)` Create a JWT auth handler
    `static JWTAuthHandler` | `create(JWTAuth authProvider, String realm)` Create a JWT auth handler
    `boolean` | `equals(Object o)`
    `JWTAuthHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static JWTAuthHandler` | `newInstance(JWTAuthHandler arg)`
    `JWTAuthHandler` | `scopeDelimiter(String delimiter)` Return a new instance with the internal state copied from the caller but the scopes delimiter set to be unique to the instance.
    `String` | `toString()`
    `JWTAuthHandler` | `withScope(String scope)` Return a new instance with the internal state copied from the caller but the scopes to be requested during a token request are unique to the instance.
    `JWTAuthHandler` | `withScopes(List<String> scopes)` Return a new instance with the internal state copied from the caller but the scopes to be requested during a token request are unique to the instance.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava3.ext.web.handler.AuthenticationHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JWTAuthHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### JWTAuthHandler

          public JWTAuthHandler(JWTAuthHandler delegate)

    - #### JWTAuthHandler

          public JWTAuthHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public JWTAuthHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthenticationHandler`

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `AuthenticationHandler`
      Parameters:
        `event` - the event to handle

    - #### create

          public static JWTAuthHandler create(JWTAuth authProvider)

      Create a JWT auth handler
      Parameters:
        `authProvider` - the auth provider to use
      Returns:
        the auth handler

    - #### create

          public static JWTAuthHandler create(JWTAuth authProvider,
                                              String realm)

      Create a JWT auth handler
      Parameters:
        `authProvider` - the auth provider to use
        `realm` -
      Returns:
        the auth handler

    - #### scopeDelimiter

          public JWTAuthHandler scopeDelimiter(String delimiter)

      Return a new instance with the internal state copied from the caller but the scopes delimiter set to be unique to the instance.
      Parameters:
        `delimiter` - scope delimiter.
      Returns:
        new instance of this interface.

    - #### withScope

          public JWTAuthHandler withScope(String scope)

      Return a new instance with the internal state copied from the caller but the scopes to be requested during a token request are unique to the instance.
      Parameters:
        `scope` - scope.
      Returns:
        new instance of this interface.

    - #### withScopes

          public JWTAuthHandler withScopes(List<String> scopes)

      Return a new instance with the internal state copied from the caller but the scopes to be requested during a token request are unique to the instance.
      Parameters:
        `scopes` - scopes.
      Returns:
        new instance of this interface.

    - #### newInstance

          public static JWTAuthHandler newInstance(JWTAuthHandler arg)

Copyright © 2021 Eclipse. All rights reserved.